### Hierarchy

- KeysService

## Index

### Constructors

- constructor

### Properties

- cookieName
- data
- storage

### Methods

- getKey
- getKeys
- saveKey
- updateKeys

## Constructors

### constructor

- new KeysService(storage: IStorageService): KeysService

- - Defined in Keys.ts:11

  #### Parameters

  - ##### storage: IStorageService

  #### Returns KeysService

## Properties

### Private cookieName

cookieName: string = "encryption_keys"

- Defined in Keys.ts:11

### Private data

data: any

- Defined in Keys.ts:10

### storage

storage: IStorageService

- Defined in Keys.ts:13

## Methods

### getKey

- getKey(domainName: string, name: string): any

- - Defined in Keys.ts:25

  #### Parameters

  - ##### domainName: string

  - ##### name: string

  #### Returns any

### getKeys

- getKeys(domainName?: undefined | string): any

- - Defined in Keys.ts:43

  #### Parameters

  - ##### Optional domainName: undefined | string

  #### Returns any

### saveKey

- saveKey(domainName: string, key: any): void

- - Defined in Keys.ts:17

  #### Parameters

  - ##### domainName: string

  - ##### key: any

  #### Returns void

### updateKeys

- updateKeys(): void

- - Defined in Keys.ts:36

  #### Returns void

Generated using TypeDoc